routes/web.php
<?php
Route::get('/user', function () {
    return Auth()->user();
});

// Home Routes
Route::prefix('/')->namespace('Web\Home')->group(function () {
    Route::get('/', 'HomeController@index')->name('home');
    Route::get('articles', 'ArticleController@index')->name('articles.index');
    Route::get('articles/details/{article}', 'ArticleController@show')->where('article', '[0-9]+')->name('articles.show');
    Route::get('articles/details/{slug}', 'ArticleController@showBySlug')->name('articles.show-by-slug');
    Route::get('categories/{category}', 'CategoryController@show')->name('categories.show');
    Route::get('videos', 'VideoController@index')->name('videos.index');
    Route::get('videos/details/{video}', 'VideoController@show')->name('videos.show');
    Route::get('podcasts', 'PodcastController@index')->name('podcasts.index');
    Route::post('comments', 'CommentController@store')->name('comments.store');
    Route::post('comments/{comment}/reply', 'CommentController@reply_store')->name('comments.reply.store');
    Route::get('authors', 'AuthorController@index')->name('authors.index');
    Route::get('authors/{author}', 'AuthorController@show')->name('authors.show');
    Route::get('translators', 'TranslatorController@index')->name('translators.index');
    Route::get('translators/{translator}', 'TranslatorController@show')->name('translators.show');
    Route::get('socials', 'HomeController@socials')->name('socials');
    Route::get('post_box', 'HomeController@post_box')->name('post_box');
    Route::post('post_box', 'HomeController@post_box_store')->name('post_box.store');
    Route::get('search', 'SearchController@index')->name('search.index');
    Route::get('search/result', 'SearchController@search')->name('search.result');
});

// Admin Routes
Route::prefix('admin')->namespace('Web\Admin')->group(function () {
    // Admin Auth Routes
    Route::prefix('auth')->namespace('Auth')->group(function () {
        Route::get('/', 'LoginController@showLoginForm');
        Route::get('/login', 'LoginController@showLoginForm')->name('admin.login');
        Route::post('/login', 'LoginController@login');
        Route::post('/logout', 'LoginController@logout')->name('admin.logout');

        Route::post('/password/email', 'ForgotPasswordController@sendResetLinkEmail')->name('admin.password.request');
        Route::post('/password/reset', 'ResetPasswordController@reset')->name('admin.password.email');
        Route::get('/password/reset', 'ForgotPasswordController@showLinkRequestForm')->name('admin.password.reset');
        Route::get('/password/reset/{token}', 'ResetPasswordController@showResetForm');
    });

    Route::get('/login', function () {
        return redirect('admin/auth/login');
    });
    Route::get('/', function () {
        return redirect('admin/dashboard');
    });

    // Admin Dashboard Routes
    Route::prefix('/')->middleware('auth')->group(function () {
        Route::get('dashboard', 'DashboardController@index')->name('admin.dashboard');
        Route::post('articles/uploadimage', 'ArticleController@uploadimage');
        Route::resource('articles', 'ArticleController', ['as' => 'admin']);
        Route::resource('authors', 'AuthorController', ['as' => 'admin']);
        Route::resource('translators', 'TranslatorController', ['as' => 'admin']);
        Route::resource('categories', 'CategoryController', ['as' => 'admin']);
        Route::resource('tags', 'TagController', ['as' => 'admin']);
        Route::get('post_requests', 'PostRequestsController@index')->name('admin.post_requests.index');
        Route::get('post_requests/{post_request}', 'PostRequestsController@show')->name('admin.post_requests.show');
    });
});

app/Models/Tag.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Tag extends Model
{
    protected $fillable = array("name", "slug", "status");

    public function posts()
    {
        return $this->belongsToMany(Post::class)->withTimestamps();
    }
}

app/Http/Controllers/Web/Admin/TagController.php
<?php

namespace App\Http\Controllers\Web\Admin;

use App\Models\Tag;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Session;

class TagController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = array(
            'tags' => Tag::orderBy('id', 'desc')->get()
        );
        return view('admin.tags.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $data = array();
        return view('admin.tags.create', $data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validated = $request->validate([
            'name' => 'required',
        ]);

        if ($validated == true) {
            $tags = new Tag();
            $tags->name = $request->name;
            $tags->slug = str_slug($request->name);
            $tags->status = $request->status;

            if ($tags->save()) {
                Session::flash('response', array('type' => 'success', 'message' => 'Tag added successfully!'));
            } else {
                Session::flash('response', array('type' => 'error', 'message' => 'Something Went wrong!'));
            }
            return redirect('admin/tags');
        } else {
            Session::flash('response', array('type' => 'error', 'message' => 'Data not valid!'));
            return redirect('admin/tags/create');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Tag  $tag
     * @return \Illuminate\Http\Response
     */
    public function show(Tag $tag)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Tag  $tag
     * @return \Illuminate\Http\Response
     */
    public function edit(Tag $tag)
    {
        $data = array(
            'tags' => Tag::find($tag->id)
        );
        return view('admin/tags/edit', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Tag  $tag
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $tags = Tag::find($id);
        $tags->name = $request->name;
        $tags->status = $request->status;
        $tags->save();

        if ($tags->save()) {
            Session::flash('response', array('type' => 'success', 'message' => 'Tag Updated successfully!'));
        } else {
            Session::flash('response', array('type' => 'error', 'message' => 'Something Went wrong!'));
        }
        return redirect('admin/tags');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Tag  $tag
     * @return \Illuminate\Http\Response
     */
    public function destroy(Tag $tag)
    {
        if ($tag->delete()) {
            Session::flash('response', array('type' => 'success', 'message' => 'Tag deleted successfully!'));
        } else {
            Session::flash('response', array('type' => 'error', 'message' => 'Something Went wrong!'));
        }
        return redirect('admin/tags');
    }
}

resources/views/admin/tags/create.blade.php
@extends('layouts.admin')
@section('title', 'Add Tag')
@section('second-nav-bar')
<ul class="right hide-on-med-and-down">
    <li>
        <a href="{{url('admin/tags/create')}}">Add Tag</a>
    </li>
</ul>
<ul id="nav-mobile" class="sidenav">
    <li>
        <a href="{{url('admin/tags/create')}}">Add Tag</a>
    </li>
</ul>
<a href="#" data-target="nav-mobile" class="sidenav-trigger">
    <i class="material-icons">menu</i>
</a>
@endsection
@section('content')
<div class="card panel">
    <div class="panel-header">
        <span class="panel-title">Add New Tag</span>
        <div class="actions">
            <a href="{{ url('admin/tags') }}" class="btn-flat">
                <i class="material-icons">close</i>
            </a>
        </div>
    </div>
    <div class="card-content">
        <div class="row">
            <form action="{{ route('admin.tags.store')}}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="col s9 pr-2">
                    <div class="row">
                        <div class="input-field outline col s12">
                            <input name="name" id="name" type="text" class="@error('name') invalid @enderror" required
                                autofocus>
                            <label for="name">{{ __('Tag Name') }}</label>
                            @error('name')
                            <span class="helper-text red-text">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="col s9 pr-2">
                    <div class="row">
                        <div class="form-group">
                            <label for="status">Status</label>
                            <select class="form-control @error('status') is-invalid @enderror" name="status" id="status"
                                required>
                                <option value="1" selected>
                                    Active
                                </option>
                                <option value="0">Inactive</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="input-field col s12">
                    <button class="btn custom teal waves-effect waves-light" type="submit" name="action">
                        <i class="material-icons left">add</i> Add Tag
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

resources/views/admin/tags/edit.blade.php
@extends('layouts.admin')
@section('title', 'Edit Tag')
@section('second-nav-bar')
<ul class="right hide-on-med-and-down">
    <li>
        <a href="{{url('admin/tags/create')}}">Add Tag</a>
    </li>
</ul>
<ul id="nav-mobile" class="sidenav">
    <li>
        <a href="{{url('admin/tags/create')}}">Add Tag</a>
    </li>
</ul>
<a href="#" data-target="nav-mobile" class="sidenav-trigger">
    <i class="material-icons">menu</i>
</a>
@endsection
@section('content')
<div class="card panel">
    <div class="panel-header">
        <span class="panel-title">Edit Tag</span>
        <div class="actions">
            <a href="{{ url('admin/tags') }}" class="btn-flat">
                <i class="material-icons">close</i>
            </a>
        </div>
    </div>
    <div class="card-content">
        <div class="row">
            <form action="{{ route('admin.tags.update', $tags['id']) }}" method="POST" enctype="multipart/form-data">
                <input name="_method" type="hidden" value="PATCH">
                @csrf
                <div class="col s9 pr-2">
                    <div class="row">
                        <div class="input-field outline col s12">
                            <input name="name" id="name" type="text" class="@error('name') invalid @enderror"
                                value="{{ $tags->name }}" autofocus>

                            @error('name')
                            <span class="helper-text red-text">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="col s9 pr-2">
                    <div class="row">
                        <div class="form-group">
                            <label for="status">Status</label>
                            <select class="form-control" name="status" id="status" required>
                                <option value="1" @if($tags->status == 1) {{ 'selected' }} @endif>Active</option>
                                <option value="0" @if($tags->status == 0) {{ 'selected' }} @endif>Inactive</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="input-field col s12">
                    <button class="btn custom teal waves-effect waves-light" type="submit" name="action">
                        <i class="material-icons left">add</i> Update Tag
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

resources/views/admin/tags/index.blade.php
@extends('layouts.admin')
@section('title', 'Tag')
@section('second-nav-bar')
<ul class="right hide-on-med-and-down">
    <li>
        <a href="{{ url('admin/tags/create') }}">Add Tag</a>
    </li>
</ul>
<ul id="nav-mobile" class="sidenav">
    <li>
        <a href="{{ url('admin/tags/create') }}">Add Tag</a>
    </li>
</ul>
<a href="#" data-target="nav-mobile" class="sidenav-trigger">
    <i class="material-icons">menu</i>0.
</a>
@endsection
@section('content')
<div class="tile">
    <div class="tile-title-w-btn">
        <h4 class="title">All Tag</h4>
        <p><a class="btn btn-primary icon-btn" href="{{ url('admin/tags/create') }}"><i class="fa fa-plus"></i>Add
                Tag
            </a></p>
    </div>
    <div class="tile-body">
        <table class="table table-hover table-bordered data-table">
            <thead>
                <tr>
                    <th class="d-none">{{ _('#') }}</th>
                    <th>{{ _('Name') }}</th>
                    <th>{{ _('Status') }}</th>
                    <th>{{ _('Created At') }}</th>
                    <th>{{ _('Action') }}</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($tags as $index => $tag)
                <tr>
                    <td class="d-none">{{ $index }}</td>
                    <td>{{ $tag->name }}</td>
                    <td>
                        @if($tag->status == 1)
                        {{ _('Active') }}
                        @elseif($tag->status == 0)
                        {{ _('Inactive') }}
                        @else
                        {{ _('Unknown') }}
                        @endif
                    </td>
                    <td>{{date('d M, Y', strtotime($tag->created_at))}}</td>
                    <td>
                        <a href="{{ route('admin.tags.edit', $tag->id) }}" class="btn btn-primary btn-sm mr-3">Edit</a>
                        <form action="{{ route('admin.tags.destroy', $tag['id']) }}" method="POST"
                            style="display: inline-block;">
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-danger btn-sm mr-3"
                                onclick="return(confirm('are you sure to delete?'))">Delete</button>
                        </form>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection